package it.corso.locationmanagerdemo;

import android.app.Activity;
import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;

import android.os.Bundle;
import android.widget.Toast;

public class LocationManagerDemo extends Activity {
	
	private LocationManager locationManager;
	private LocationListener listenerFine;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);    
         
        createLocationListener();
        
        registerLocationListener();
        
    }
    
    private void registerLocationListener() {
		locationManager = (LocationManager)
			getSystemService(LOCATION_SERVICE);

		Criteria fine = new Criteria();
		fine.setAccuracy(Criteria.ACCURACY_FINE);

		if (listenerFine == null)
			createLocationListener();

		locationManager.requestLocationUpdates(
			locationManager.getBestProvider(fine, true),
			0, 0, listenerFine);
		
		//locationManager.requestLocationUpdates(LocationManager.GPS_PROVIDER, 0,0,listenerFine);
	}
    
    private void createLocationListener() {
		
		listenerFine = new LocationListener() {
			public void onStatusChanged(String provider,
				int status, Bundle extras) 
			{
			}
			public void onProviderEnabled(String provider) {
			}
			public void onProviderDisabled(String provider) {
			}
			public void onLocationChanged(Location location) {
				
				Toast.makeText(LocationManagerDemo.this,
						location.getLatitude()+":"+location.getLongitude(), Toast.LENGTH_SHORT).show();    
			}
		};
	}
        
	@Override
	protected void onResume() {
		super.onResume();
		registerLocationListener();
		
	}

	@Override
	protected void onPause() {
		super.onPause();
		locationManager.removeUpdates(listenerFine);
		
	}
    
}

